<?php 
 
// Load the database configuration file 
include_once 'config.php'; 
 
// Fetch records from database 
$query = $db->query("SELECT * FROM data_mdj"); 
 
if($query->num_rows > 0){ 
    $delimiter = ","; 
    $filename = "registration-data_" . date('Y-m-d') . ".csv"; 
     
    // Create a file pointer 
    $f = fopen('php://memory', 'w');
     
    // Set column headers 
    $fields = array('NAME', 'EMAIL', 'PHONE', 'SPOUSE NAME', 'ANNIVERSARY DATE', 'CITY', 'PINCODE', 'SOURCE', 'PARTNER PHONE', 'PARTNER EMAIL', 'SOCIAL HANDLE', 'ADDRESS', 'IMAGE 1', 'IMAGE 2', 'ABOUT', 'OTHER ABOUT', 'DATE & TIME'); 
    fputcsv($f, $fields, $delimiter); 
     
    // Output each row of the data, format line as csv and write to file pointer 
    while($row = $query->fetch_assoc()){ 
        $lineData = array($row['name'], $row['email'], $row['phone'], $row['spouse_name'], $row['anniversary_date'], $row['city'], $row['pincode'], $row['source'], $row['partner_phone'], $row['partner_email'], $row['social_handle'], $row['address'], 'https://mahabirdanwarjewellers.com/couple-registration/images_data/'.$row['image_1'], 'https://mahabirdanwarjewellers.com/couple-registration/images_data/'.$row['image_2'], $row['about'], $row['about_other'], $row['date']); 
        fputcsv($f, $lineData, $delimiter); 
    } 
     
    // Move back to beginning of file 
    fseek($f, 0); 
     
    // Set headers to download file rather than displayed 
    header('Content-Type: text/csv'); 
    header('Content-Disposition: attachment; filename="' . $filename . '";'); 
     
    //output all remaining data on a file pointer 
    fpassthru($f); 
} 
exit; 
 
?>